Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Mutex Class Reference

## Public Member Functions
| Mutex (log4cxx::helpers::Pool &p)
| Mutex (apr_pool_t *p)
| ~Mutex ()
apr_thread_mutex_t * | getAPRMutex () const

## Constructor & Destructor Documentation

Mutex | ( | log4cxx::helpers::Pool & | p | ) |

Mutex | ( | apr_pool_t * | p | ) |

~Mutex | ( |  | ) |

## Member Function Documentation

apr_thread_mutex_t* getAPRMutex | ( |  | ) | const

The documentation for this class was generated from the following file:

- mutex.h